Package de.willuhn.jameica.hbci.synchronize.hbci

# Class AbstractHBCISynchronizeJobProvider

java.lang.Object
de.willuhn.jameica.hbci.synchronize.hbci.AbstractHBCISynchronizeJobProvider

All Implemented Interfaces:
  `HBCISynchronizeJobProvider`, `SynchronizeJobProvider`, `Comparable`

Direct Known Subclasses:
  `HBCISynchronizeJobProviderAuslandsUeberweisung`, `HBCISynchronizeJobProviderKontoauszug`, `HBCISynchronizeJobProviderKontoauszugPdf`, `HBCISynchronizeJobProviderQuittung`, `HBCISynchronizeJobProviderSepaDauerauftrag`, `HBCISynchronizeJobProviderSepaLastschrift`

public abstract class AbstractHBCISynchronizeJobProvider extends Object implements HBCISynchronizeJobProvider
Abstrakte Basis-Klasse der HBCI-Job-Provider.

## Constructor Summary

Constructors
Constructor
Description
`AbstractHBCISynchronizeJobProvider()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getPropertyNames(Konto k)`
Liefert eine optionale Liste mit Property-Namen, die in Hibiscus in den Sync-Einstellungen als Eingabefelder fuer zusaetzliche Konfigurationsoptionen angezeigt werden sollen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface de.willuhn.jameica.hbci.synchronize.SynchronizeJobProvider

`getJobTypes, getSynchronizeJobs, supports`

## Constructor Details

### AbstractHBCISynchronizeJobProvider

public AbstractHBCISynchronizeJobProvider()

## Method Details

### getPropertyNames

public List<String> getPropertyNames(Konto k)
Description copied from interface: `HBCISynchronizeJobProvider`
Liefert eine optionale Liste mit Property-Namen, die in Hibiscus in den Sync-Einstellungen als Eingabefelder fuer zusaetzliche Konfigurationsoptionen angezeigt werden sollen. Wird z.Bsp. vom ScriptingBackend verwendet, um dort die Zugangsdaten zur Webseite hinterlegen zu koennen, ohne dafuer Kontonummer, Benutzerkennung, usw. des Kontos "missbrauchen" zu muessen.

Specified by:
  `getPropertyNames` in interface `HBCISynchronizeJobProvider`
Parameters:
  `k` - das Konto.
Returns:
  Liste von lesbaren Property-Namen. Die werden dem Benutzer 1:1 als Label von Eingabefeldern angezeigt.